openSUSE-SU-2021:0638-1: important: Security update for cups

openSUSE Security Update: Security update for cups______________________________________________________________________________Announcement ID: openSUSE-SU-2021:0638-1Rating: importantReferences: #1184161 Cross-References: CVE-2021-25317CVSS scores: CVE-2021-25317 (SUSE): 5.3 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:LAffected Products: openSUSE Leap 15.2______________________________________________________________________________ An update that fixes one vulnerability is now available.Description: This update for cups fixes the following issues: - CVE-2021-25317: ownership of /var/log/cups could allow privilege escalation from lp user to root via symlink attacks (bsc#1184161) This update was imported from the SUSE:SLE-15:Update update project.Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-638=1Package List: - openSUSE Leap 15.2 (i586 x86_64): cups-2.2.7-lp152.9.9.1 cups-client-2.2.7-lp152.9.9.1 cups-client-debuginfo-2.2.7-lp152.9.9.1 cups-config-2.2.7-lp152.9.9.1 cups-ddk-2.2.7-lp152.9.9.1 cups-ddk-debuginfo-2.2.7-lp152.9.9.1 cups-debuginfo-2.2.7-lp152.9.9.1 cups-debugsource-2.2.7-lp152.9.9.1 cups-devel-2.2.7-lp152.9.9.1 libcups2-2.2.7-lp152.9.9.1 libcups2-debuginfo-2.2.7-lp152.9.9.1 libcupscgi1-2.2.7-lp152.9.9.1 libcupscgi1-debuginfo-2.2.7-lp152.9.9.1 libcupsimage2-2.2.7-lp152.9.9.1 libcupsimage2-debuginfo-2.2.7-lp152.9.9.1 libcupsmime1-2.2.7-lp152.9.9.1 libcupsmime1-debuginfo-2.2.7-lp152.9.9.1 libcupsppdc1-2.2.7-lp152.9.9.1 libcupsppdc1-debuginfo-2.2.7-lp152.9.9.1 - openSUSE Leap 15.2 (x86_64): cups-devel-32bit-2.2.7-lp152.9.9.1 libcups2-32bit-2.2.7-lp152.9.9.1 libcups2-32bit-debuginfo-2.2.7-lp152.9.9.1 libcupscgi1-32bit-2.2.7-lp152.9.9.1 libcupscgi1-32bit-debuginfo-2.2.7-lp152.9.9.1 libcupsimage2-32bit-2.2.7-lp152.9.9.1 libcupsimage2-32bit-debuginfo-2.2.7-lp152.9.9.1 libcupsmime1-32bit-2.2.7-lp152.9.9.1 libcupsmime1-32bit-debuginfo-2.2.7-lp152.9.9.1 libcupsppdc1-32bit-2.2.7-lp152.9.9.1 libcupsppdc1-32bit-debuginfo-2.2.7-lp152.9.9.1References: https://www.suse.com/security/cve/CVE-2021-25317.html https://bugzilla.suse.com/1184161

More…